Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class CreditorReferenceInformation2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.CreditorReferenceInformation2

    public class CreditorReferenceInformation2
    extends java.lang.Object

Java class for CreditorReferenceInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CreditorReferenceType2" minOccurs="0"/>
             <element name="Ref" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ref`
`protected CreditorReferenceType2` `tp`

### Constructor Summary

Constructors
`CreditorReferenceInformation2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRef()` Gets the value of the ref property.
`CreditorReferenceType2` `getTp()` Gets the value of the tp property.
`void` `setRef​(java.lang.String value)` Sets the value of the ref property.
`void` `setTp​(CreditorReferenceType2 value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected CreditorReferenceType2 tp

#### ref

    protected java.lang.String ref

### Constructor Detail

#### CreditorReferenceInformation2

    public CreditorReferenceInformation2()

### Method Detail

#### getTp

    public CreditorReferenceType2 getTp()

Gets the value of the tp property.

Returns:
  possible object is `CreditorReferenceType2`

#### setTp

    public void setTp​(CreditorReferenceType2 value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CreditorReferenceType2`

#### getRef

    public java.lang.String getRef()

Gets the value of the ref property.

Returns:
  possible object is `String`

#### setRef

    public void setRef​(java.lang.String value)

Sets the value of the ref property.

Parameters:
  `value` - allowed object is `String`